Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7617 - sysklogd running with -r and -s options causes server to stop accepting connections after a couple hours
Summary: sysklogd running with -r and -s options causes server to stop accepting conne...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-06 04:50 UTC by monica
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-31 20:29:08 UTC


Attachments (Terms of Use)

Description monica 1999-12-06 04:50:32 UTC
Brand new RedHat 6.1 install with all security updates as of today
installed.

Hardware is Pentium III - 500, 256M RAM, 3Com FastEtherlink XL, SiS 6326
AGP video.

Machine stopped accepting new connections after a couple hours running.
Kernel error messages indicated that no file handles were available.
Last time, killing sysklogd fixed the problem without reboot.  Since the
first symptom was that the machine ceased accepting new connections, I
tried restarting sysklogd without -r and without -s.  It appears to be
stable in this configuration, but I need syslog to accept remote log
entries.

Comment 1 Bill Nottingham 1999-12-06 17:21:59 UTC
Is the machine publically available on the internet? If so,
you may want to firewall your syslog port so that only
the machines you want to connect can connect.

If the machine can only be reached by your log clients,
never mind.

Comment 2 Bill Nottingham 1999-12-06 17:42:59 UTC
I'm testing it here, and it does *not* seem to be
leaking file descriptors under normal operation.


Note You need to log in before you can comment on or make changes to this bug.